package co.yixiang.yshop.module.distributor.convert.distributor;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.distributor.controller.admin.distributor.vo.*;
import co.yixiang.yshop.module.distributor.dal.dataobject.distributor.DistributorDO;

/**
 * 分销商 Convert
 *
 * @author admin
 */
@Mapper
public interface DistributorConvert {

    DistributorConvert INSTANCE = Mappers.getMapper(DistributorConvert.class);

    DistributorDO convert(DistributorCreateReqVO bean);

    DistributorDO convert(DistributorUpdateReqVO bean);

    DistributorRespVO convert(DistributorDO bean);

    List<DistributorRespVO> convertList(List<DistributorDO> list);

    PageResult<DistributorRespVO> convertPage(PageResult<DistributorDO> page);

    List<DistributorExcelVO> convertList02(List<DistributorDO> list);

}
